Bug 437267 - Screen blanks unrecoverably after closing laptop lid
Summary: Screen blanks unrecoverably after closing laptop lid
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-drv-i810   
(Show other bugs)
Version: 5.2
Hardware: i386
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Adam Jackson
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Keywords: Regression
Depends On:
Blocks: 432382
TreeView+ depends on / blocked
 
Reported: 2008-03-13 10:20 UTC by Matthew Booth
Modified: 2008-10-22 14:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-22 14:27:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Original xorg.conf (871 bytes, text/plain)
2008-03-14 21:37 UTC, Matthew Booth
no flags Details
Xorg.0.log from X server running with attached config (68.08 KB, text/plain)
2008-03-14 21:39 UTC, Matthew Booth
no flags Details
Xorg.0.log from X server running with no xorg.conf (71.87 KB, text/plain)
2008-03-14 21:40 UTC, Matthew Booth
no flags Details
X server with no xorg.conf, screen has just blanked (73.97 KB, text/plain)
2008-03-14 21:46 UTC, Matthew Booth
no flags Details

Description Matthew Booth 2008-03-13 10:20:34 UTC
Description of problem:
Since upgrading to 5.2 beta (wasn't a problem on 5.1), whenever I close my
laptop lid and reopen it:

* The gnome-screensaver password prompt displays for a fraction of a second
* The screen blanks (switches off)

If I switch to a virtual console it comes back, but going back to X switches the
screen off again. Forcing X to restart by killing it fixes the problem.

My laptop is a Lenovo X60s. lspci has the following pertinent entries:

00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS,
943/940GML Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML
Express Integrated Graphics Controller (rev 03)

Version-Release number of selected component (if applicable):
xorg-x11-drv-i810-1.6.5-9.6.0.3.el5.i386
xorg-x11-server-Xorg-1.1.1-48.38.el5.i386

How reproducible:
Always

Comment 1 Matěj Cepl 2008-03-13 16:30:04 UTC
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 2 Matthew Booth 2008-03-14 21:37:38 UTC
Created attachment 298084 [details]
Original xorg.conf

Comment 3 Matthew Booth 2008-03-14 21:39:32 UTC
Created attachment 298085 [details]
Xorg.0.log from X server running with attached config

Comment 4 Matthew Booth 2008-03-14 21:40:18 UTC
Created attachment 298086 [details]
Xorg.0.log from X server running with no xorg.conf

Comment 5 Matthew Booth 2008-03-14 21:46:02 UTC
Created attachment 298087 [details]
X server with no xorg.conf, screen has just blanked

Comment 6 Matthew Booth 2008-03-14 21:46:51 UTC
I've uploaded the requested info. Note that removing xorg.conf didn't fix the bug.

Comment 7 Matthew Booth 2008-03-26 21:46:25 UTC
I've discovered that the blank screen can be recovered by switching to a VT,
logging in as root and executing:

export DISPLAY=:0
vbetool dpms on

I suspect this means that the bug is incorrectly filed. Where should it go? As
it's a regression, I'm keen to have it correctly hightlighted.

Comment 8 Ben Levenson 2008-03-27 03:50:06 UTC
> I suspect this means that the bug is incorrectly filed. Where should it go? As
> it's a regression, I'm keen to have it correctly hightlighted.

A regression from 5.1?

Comment 9 Matthew Booth 2008-03-27 21:04:59 UTC
Yes, this is a regression from 5.1. I have never observed a problem when closing
my laptop lid before.

Comment 10 Adam Jackson 2008-10-15 14:36:35 UTC
Oh good, backlight bug.

Almost certainly an intel driver bug though, assuming you're closing the lid while on wall power, since nothing else kicks in then.

Does this problem happen when gnome-screensaver is disabled?

If it does, can you recover by doing 'xset dpms force on' from within the X session?  (yes, blindly)

Comment 11 Matthew Booth 2008-10-20 19:14:58 UTC
I'm no longer running RHEL 5, so I can't reproduce. Please close if you really need more info.

Comment 12 Matěj Cepl 2008-10-22 14:27:37 UTC
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.


Note You need to log in before you can comment on or make changes to this bug.